﻿using System;
using System.Windows.Forms;
using System.IO.Ports;

namespace SerialSample1
{
    public partial class Form1 : Form
    {
        SerialPort ComPort = new SerialPort("COM1");
        bool t = false;
        public Form1()
        {
            InitializeComponent();
            if (ComPort.IsOpen) ComPort.Close();
            ComPort.BaudRate = 9600;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.DataBits = 8;
            ComPort.Handshake = Handshake.None;
            ComPort.Open();
        }

        private void btnOn_Click(object sender, EventArgs e)
        {
            t = !t;
            if (t) ComPort.Write("a"); else ComPort.Write("b");
        }

        private void btnOff_Click(object sender, EventArgs e)
        {
            ComPort.Write("b");
        }
    }
}
